#1 - 01/08/2025 06:29 PM - Arathy PS

Salary Components - Assigned - Jan

—->Menul -> HRM -> Master

—>Name - Code:Name* (R) — If Code Using Equation then not allowed to change
—->System Component* (R) - Selectbox
*Items

-Basic Salary

—-Dearness Allowance (DA)

—House Rent Allowance (HRA)

—Conveyance Allowance

—-Travel Allowance (TA)

-Medical Allowance

-Books and Periodicals Allowance

—Education Allowance

-Other Allowance

—-Bonus (Via Bonus GUI) —-- Set Input Type = System and Disable

—-Profit Share(Via Profit Share GUI) -- Set Input Type = System and Disable
-Day Off Incentive(Via * GUI) -- Set Input Type = System and Disable
—-Overtime (OT) (Via * GUI) -- Set Input Type = System and Disable
—Other Incentives

—Arrears

—(-)Professional Tax

Income Tax

Other Tax

Cess

Insurance Premium

- (=)

-(-)

-(=)

- (=)

- (-)Pension Scheme
—(—-)Provident Fund (PF)
— (=) Labour Welfare Fund
- (-)Loan Recovery
— (—)Advance Recovery

—(-)Other Deductions

-> Input Type* (R) - Selectbox —-> Enetr In Each Empyee, Amount, Equation, Range Wise Amount, Range Wise Equatio
n, System,

-> Status* (R) - Selectbox - Active, Block, Close

-> Created By

—> Modified By

=>Right Side - Range tab not showing then hide Other tab(but Other tabe data showing)

=> Other Tab

-> Employee Wise Editable (Checkbox-Tick)

-> Expiry Date

—-> Show To Salary Slip*(R) - Selectbox -> Mandatory, If Value Then Show(Input Type = System then active this)
—> Remarks

—-> Max Amount

—-> Amount - If Input Type == Amount, Zero Allowed

-> Equation* (R) - Textare - - If Input Type == Equation - All Added components Code with {{ and }}, Eg: {{DA}}
—> Additional Item {{TOTAL_EARNING}}, {{GROSS_SALARY}, {{TOTAL_DEDUCTION}}, {{NET_SALARY}}

—> percentage Entry Box | Based On - Select Box — All Added Items with Empty -- If Input Type == Equation ->
Additional Item {{TOTAL_EARNING}}, {{GROSS_SALARY}, {{TOTAL_DEDUCTION}}, {{NET_SALARY}}

—> Amount Range Based On* (R) - Title:- Equation - Textarea —-- If Input Type == Range Wise Amount / Range Wise
Equation -

=> Range Tab

->List Title

-Amount Range or Equation Rage - Dynamic

—New Button

—-List # | Start | End | Amount | Equation | percentage | Based On
—->New popup

—> Amount Range inputl | input2

-> Amount - If Input Type == Range Wise Amount

-> Equation* (R) - Textare —- If Input Type == Range Wise Equation

—-> percentage Entry Box | Based On - Select Box - All Added Items with Empty ---- If Input Type == Range Wise
Equation

#2 - 01/08/2025 06:30 PM - Arathy PS

=>Basic salary

Basic salary is the base income of an employee, comprising of approximately 50 percent of the CTC. It is a fix
ed amount that is paid prior to any reductions or increases due to bonus, overtime, or allowances. Basic salar
y is determined based on the designation of the employee and the industry in which they are working in. Most o
f the other components, like allowances, are based on the basic salary. This amount is fully taxable.

Types of allowances

=>allowance

1) Dearness allowance (DA): Dearness allowance is a certain percentage of the basic salary paid to employees,
aimed at mitigating the impact of inflation. It is paid by the government to employees of the public sector an
d pensioners of the same. Dearness allowance is fully taxable whether it is “in terms” or “not in terms”.

Note: DA in terms means DA that constitutes a part of the retirement benefit calculation.

2) House rent allowance (HRA): House rent allowance is paid to employees to meet their monthly rental expenses

for housing/ accommodation. It offers tax benefits to employees for the sum that they pay towards their housi
ng/ accommodation every year. Salaried individuals residing in rented homes can claim this exemption and reduc
e their tax liability either fully or partially. If an employee doesn’t live in a rented accommodation, this a
llowance is fully taxable.

Least of the following amount will be exempt u/s 10(13A):

40%/50%* of basic salary and dearness allowance (DA)
Actual amount received
Rent paid - 10 percent of basic salary and dearness allowance (DA)

Note: Tax exemption of house rent allowance is not available in case you opt for the new tax regime from FY 20
20-21 (AY 2021-22).

3) Conveyance allowance: Conveyance allowance, also known as transportation allowance, is an incentive offered
to employees to compensate for their travel expenses to and from their residence and workplace.

Note: In the Union Budget 2018, a standard deduction of INR. 40,000 (currently INR 50,000) was introduced in 1
ieu of transport (INR 19,200) and medical (INR 15,000) allowances.

4) Leave travel allowance (LTA): Leave travel allowance is eligible for tax exemption. It is offered to employ
ees to cover their travel expense when the travel occurs during a leave of absence from work. The amount paid
as leave travel allowance is exempted from tax only on the actual travel costs under Section 10(5) of Income T
ax Act, 1961. Leave travel allowance only covers domestic travel and the mode of travel needs to be air, railw
ay, or public transport. The exemption is also limited to LTA provided by the employer.

5) Medical allowance: Medical allowance is a fixed allowance paid to the employees of an organization to meet
their medical expenditure.

Note: In Union Budget 2018, a standard deduction of INR. 40,000 (Currently it is INR 50,000) has been introduc
ed in lieu of transport (INR 19,200) and medical (INR 15,000) allowances.

6) Books and periodicals allowance: Books and periodicals allowance is a type of allowance provided to employe
es for helping them meet the expenses associated with the purchase of books, periodicals, and newspapers. It i
s exempted from tax to the extent of actual expenditure incurred towards purchases of books and periodicals.
7)Education Allowance

8) Other Allowance

=>Bonus
Bonus is a type of compensation an employer gives to an employee that complements their base pay or salary. A
company may use bonuses to reward achievements, to show gratitude to employees who meet longevity milestones,

or to entice prospective employees to join a company’s ranks. Bonus received by an employee is chargeable to t
ax in the year of receipt.

=>Professional tax

Professional tax is a tax levied on the income earned by salaried employees and professionals, including chart

ered accountants, doctors, and lawyers, etc. to the state government. Different states have varying methods of
calculating professional tax. The maximum amount that is payable in a year is INR 2,500. Employers deduct pro
fessional tax at prescribed rates, from the salary paid to employees, and pay it on their behalf to the State

Government. The revenue collected is used towards the Employment Guarantee Scheme and the Employment Guarantee
Fund.

=>Employee State Insurance Premium(ESIC)

If a company has 10 or more employees (20 in case of Maharashtra and Chandigarh) whose gross salary is below I
NR 21,000 per month, then the employer is required to avail ESIC scheme for such employees. The employer’s con
tribution will be 4.75 percent of gross salary, whereas the employee’s contribution will be 1.75 percent of gr
oss salary.

This article has been produced in collaboration with Dezan Shira & Associates, a professional services advisor
y firm. Dezan Shira & Associates’ India offices can help foreign invested companies focus on their core strate
gic goals by obtaining better benefits for their employees, implementing stress-free payroll, and granting adm
inistrative relief.

=>Incentives

Incentives refer to the additional bonuses provided to the employees for their exceptional work. It acts as an
‘incentive’ for employees to remain more engaged with their work. It is solely based on the performance of th

e employee.

=>Income Tax

Income Tax refers to the tax levied by the government on the employees working in India. The percentage of inc
ome to be given as income tax is decided in the budget as different slabs, which are set depending on the taxp
ayer’s income bracket.

=>Provident Fund

The employee provident fund is a savings fund developed solely to help the employees in times of need. A speci
fic percentage of the employee’s salary is deducted and deposited every month by the employer. The employer mu
st also deposit the same amount from their end for the employee’s provident fund.

=>Arrears

There are instances when human errors cause an employee to receive less salary than expected. Similarly, due t
o computation delays, employees might receive their first hiked salary in the next month from which their pay
was hiked. Arrears refer to any such payments provided to the employee later than when they were expected to r
eceive them.

18. National Pension Scheme
The National Pension Scheme is a scheme by the Government of India to allow a person to save additional money
that can be provided as a lump sum upon retirement. It will enable the employees to be self-reliant after thei

r retirement.

The employee should provide a minimum of 06,000 if their salary is up to [ 50,000 per annum. The employer must
also contribute 10% of the employee’s basic wage towards NPS.

19. Labour Welfare Fund

The labour welfare fund is an additional fund provided by the state government to support any labourer needing
financial help. Since it is a statutory requirement by the state governments, it differs from state to state.
The State Labour Welfare Board decides the contribution percentage.

20. Other Deductions

The companies are free to add other deductions apart from the statutory ones. However, these deductions should

be aimed toward employee welfare. A typical example of such deductions is health insurance premiums, which he
lp the employee in case of a medical need.

#3 - 01/10/2025 05:10 PM - Anil KV
NoTe:-
e No TDS in Gulf

https://quikchex.in/salary-structures-india-need-know-2/

*Net salary
This is the salary that you get in your hands and is also called the ‘in-hand’ salary. This is the amount you get (or pay) after deduction, such as
Provident Fund (PF), Employee State Insurance (ESI), Professional Tax (PT), Tax Deducted at Source (TDS), loss of pay and other deductions, as
applicable by the company.

*Gross salary
This is the total earning of an employee, excluding statutory and non-statutory deductions. It also includes loss of pay based on employee’s
attendance.

*CTC
CTC or cost-to-company is the total monetary benefit provided by the employer for the complete financial year. This will include components, such as
the PF contribution from the employer, gratuity provision, any insurance that is being provided, or any other benefits.

*Fixed pay and variable pay

Fixed pay is the fixed amount of money paid by an employer to its employees in exchange for services rendered by them, in the form of a fixed salary.
Fixed pay is the accrual salary mentioned in the salary slip with basic and multiple allowances. It is the fixed amount received every month by the
employees.

#4 - 01/11/2025 10:45 AM - Arathy PS
- Subject changed from Salary Components to HR-Salary Components

- Module changed from Salary Components to HR-Salary Components

#5 - 01/11/2025 02:44 PM - Arathy PS
- Subject changed from HR-Salary Components to HRMS-Salary Components

#6 - 01/23/2025 06:47 PM - Arathy PS
NEW CHANGES

1. In system component after 'labour welfare fund' add another option -- (-)Leaves.

2. After status add three option buttons

—-Direct Earning:- title: Basic Salary, DA, HR, Allowances etc

—-—-Indirect Earning:- title: Company Contribution (PF, ESI etc)

—-Deduction:- title: deducted from employee salary

3.If the positive items from system components is selected then direct earnin button should be selected by def

ault.

4. If negative items from system components is selected then deduction button should be selected by default.
5. When input type- system then a field appears 'show to salary slip' here add a third option : Not showing in
salary slip -- and if this option is selected then Indirect earning button should be selected by default.

6. If input type : Enter in each employee then tick 'Employee wise editable.

7. Change 'effective from' to just 'effective' and adjacent to add another date picker with title 'to'--remove
expiry date.

8. Above Effective add another field

——label: Default splitting --selectbox

items:Not split,Designation, group, type, family, category

——apart from not split for all other ones that is selected here another tab should appear with name as the one
we selected.

—-In the tab a grid with list

# | Designation (dynamically change) | amount/equation | percentage | edit icon

9. min amount:entry box, max amount:

10. Grouping in the grid should be in the order: Direct Earning, indirect earning, deduction

#7 - 01/28/2025 02:23 PM - Anil KV
Coding Points

1) Each Group Items reOrdering - like Chart of account
2) Code Used in equation then diable (Check all HRMs modules)
3) List Tree Grouping - Check 'Employee Increment' GUI/redmain

#8 - 02/18/2025 10:36 AM - Theja Ponon

- Assignee changed from Jan Theres Joshy to aryamol Vh
